
# norootforbuild

Name:           open-xchange-caldav
BuildArch:	noarch
#!BuildIgnore: post-build-checks
BuildRequires:  ant open-xchange-common >= 6.20.8.0 open-xchange-global >= 6.20.8.0 open-xchange-server >= 6.20.8.0 open-xchange-calendar >= 6.20.8.0 open-xchange-config-cascade >= 6.20.8.0 open-xchange-webdav-directory >= 6.20.8.0 open-xchange-webdav-acl >= 6.20.8.0 open-xchange-xml >= 6.20.8.0   
%if 0%{?suse_version} && 0%{?sles_version} < 11
%if %{?suse_version} <= 1010
# SLES10
BuildRequires:  java-1_5_0-ibm >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-devel >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-alsa >= 1.5.0_sr9
BuildRequires:  update-alternatives
%endif
%if %{?suse_version} >= 1100
BuildRequires:  java-sdk-openjdk
%endif
%if %{?suse_version} > 1010 && %{?suse_version} < 1100
BuildRequires:  java-sdk-1.5.0-sun
%endif
%endif
%if 0%{?sles_version} >= 11
# SLES11 or higher
BuildRequires:  java-1_6_0-ibm-devel
%endif

%if 0%{?rhel_version}
# libgcj seems to be installed whether we want or not and libgcj needs cairo
BuildRequires:  java-sdk-sun cairo
%endif
%if 0%{?fedora_version}
%if %{?fedora_version} > 8
BuildRequires:  java-1.6.0-openjdk-devel saxon
%endif
%endif
%if 0%{?centos_version}
BuildRequires:  java-1.6.0-openjdk-devel
%endif
Version:	6.20.8.0
%define		ox_release 0
Release:	%{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#URL:            
Source:         %{name}_%{version}.orig.tar.gz
Summary:        The Open-Xchange Caldav server
Requires:       open-xchange-common >= 6.20.8.0 open-xchange-global >= 6.20.8.0 open-xchange-server >= 6.20.8.0 open-xchange-calendar >= 6.20.8.0 open-xchange-config-cascade >= 6.20.8.0 open-xchange-webdav-directory >= 6.20.8.0 open-xchange-webdav-acl >= 6.20.8.0 open-xchange-xml >= 6.20.8.0 
#

%description
The Open-Xchange Caldav interface

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

ant -Ddestdir=%{buildroot} -Dprefix=/opt/open-xchange install

%clean
%{__rm} -rf %{buildroot}

%post

if [ ${1:-0} -eq 2 ]; then
   # only when updating
   . /opt/open-xchange/etc/oxfunctions.sh

   # prevent bash from expanding, see bug 13316
   GLOBIGNORE='*'

   # SoftwareChange_Request-1096
   # -----------------------------------------------------------------------
   pfile=/opt/open-xchange/etc/groupware/caldav.properties
   if ! ox_exists_property com.openexchange.caldav.url $pfile; then
       ox_set_property com.openexchange.caldav.url "https://[hostname]/caldav/[folderId]" $pfile
   fi

   # SoftwareChange_Request-913
   # -----------------------------------------------------------------------
   pfile=/opt/open-xchange/etc/groupware/caldav.properties
   if ! ox_exists_property com.openexchange.caldav.tree $pfile; then
       ox_set_property com.openexchange.caldav.tree 0 $pfile
   fi
fi

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles
%dir /opt/open-xchange/etc/groupware/osgi/bundle.d
/opt/open-xchange/bundles/*
/opt/open-xchange/etc/groupware/osgi/bundle.d/*
%config(noreplace) /opt/open-xchange/etc/groupware/caldav.properties
%config(noreplace) /opt/open-xchange/etc/groupware/contextSets/caldav.yml
%config(noreplace) /opt/open-xchange/etc/groupware/meta/caldav.yml

